proc tabulate data = gia21 ;
where filingsize in ('1','3');
class filingsize / PRELOADFMT;
var tot_contrib_AME emplr_contrib_income_AME participant_contrib_AME oth_contrib_rcvd_AME NON_CASH_CONTRIB_BS_AME
tot_distrib_bnft_AME distrib_drt_partcp_AME ins_carrier_bnfts_AME oth_bnft_payment_AME ioh_ben
tot_admin_expenses_AME professional_fees_AME contract_admin_fees_AME invst_mgmt_fees_AME other_admin_fees_AME
tot_investment_income_AME;
TITLE "Table 3. Selected Income and Expenses of Group Insurance Arrangements (GIAs) Providing Health Benefits, 2021";
TITLE2 "(millions)";
table (tot_contrib_AME='CONTRIBUTIONS' emplr_contrib_income_AME='Employer Contributions' participant_contrib_AME='Participant Contributions'
oth_contrib_rcvd_AME='Contributions from Others (Including Rollovers)' NON_CASH_CONTRIB_BS_AME='Noncash Contributions'
tot_investment_income_AME='INVESTMENT INCOME')*sum=' '*f=m12f_2stars., 
(all='')/box='Selected Income' MISSTEXT='-';
run;

proc tabulate data = gia21 ;
where filingsize in ('1','3');
class filingsize / PRELOADFMT;
var tot_contrib_AME emplr_contrib_income_AME participant_contrib_AME oth_contrib_rcvd_AME
tot_distrib_bnft_AME distrib_drt_partcp_AME ins_carrier_bnfts_AME oth_bnft_payment_AME ioh_ben
tot_admin_expenses_AME professional_fees_AME contract_admin_fees_AME invst_mgmt_fees_AME IOH_AEXP
tot_investment_income_AME;
TITLE "Table 3. Selected Income and Expenses of Group Insurance Arrangements (GIAs) Providing Health Benefits, 2021";
TITLE2 "(millions)";
table (tot_distrib_bnft_AME='BENEFIT PAYMENTS' distrib_drt_partcp_AME='Directly to Participants or Beneficiaries (Including Rollovers)'
ins_carrier_bnfts_AME='To Insurance Carriers for the Provision of Benefits' ioh_ben='Other'
tot_admin_expenses_AME='ADMINISTRATIVE EXPENSES' professional_fees_AME='Professional Fees' contract_admin_fees_AME='Contract Administrator Fees'
invst_mgmt_fees_AME='Investment Advisory and Management Fees' IOH_AEXP='Other')*sum=' '*f=m12f_2stars., 
(all='')/box = 'Selected Expenses' MISSTEXT='-';
run;
